﻿@using WebAppLibrary.Models.DAO;
@model Country

@{
    ViewData["Title"] = "Edit";
}

<h1>Edit</h1>

<h4>Country</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Edit">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
          @*<div class="form-group">
                <label asp-for="Id" class="control-label"></label>
                <input asp-for="Id" class="form-control" />
                <span asp-validation-for="Id" class="text-danger"></span>
            </div>*@
            <div class="form-group">
                <label asp-for="Nombre" class="control-label"></label>
                <input asp-for="Nombre" class="form-control" />
                <span asp-validation-for="Nombre" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="CodigoArea" class="control-label"></label>
                <input asp-for="CodigoArea" class="form-control" />
                <span asp-validation-for="CodigoArea" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Iso2" class="control-label"></label>
                <input asp-for="Iso2" class="form-control" />
                <span asp-validation-for="Iso2" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
